Bug 818820 (CVE-2012-2313) - CVE-2012-2313 kernel: unfiltered netdev rio_ioctl access by users
Summary: CVE-2012-2313 kernel: unfiltered netdev rio_ioctl access by users
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-2313
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20120426,reported=20120426,imp...
Depends On: 818822 818823 818824 818825 818826 818827 818828 869030 869033 869346
Blocks: 818813
TreeView+ depends on / blocked
 
Reported: 2012-05-04 05:38 UTC by Eugene Teo (Security Response)
Modified: 2019-06-08 19:07 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 11:26:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1174 normal SHIPPED_LIVE Low: kernel security and bug fix update 2012-08-22 00:43:32 UTC
Red Hat Product Errata RHSA-2012:1304 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2012-09-25 22:58:04 UTC
Red Hat Product Errata RHSA-2012:1481 normal SHIPPED_LIVE Low: kernel security and bug fix update 2012-11-21 03:21:00 UTC
Red Hat Product Errata RHSA-2012:1541 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2012-12-05 01:31:10 UTC
Red Hat Product Errata RHSA-2012:1589 normal SHIPPED_LIVE Low: kernel security and bug fix update 2012-12-19 03:20:41 UTC

Description Eugene Teo (Security Response) 2012-05-04 05:38:15 UTC
The dl2k driver's rio_ioctl call has a few issues:
- No permissions checking
- Implements SIOCGMIIREG and SIOCGMIIREG using the SIOCDEVPRIVATE numbers
- Has a few ioctls that may have been used for debugging at one point but have no place in the kernel proper.
    
This patch removes all but the MII ioctls, renumbers them to use the standard ones, and adds the proper permission check for SIOCSMIIREG.
    
We can also get rid of the dl2k-specific struct mii_data in favor of the generic struct mii_ioctl_data.
    
Since we have the phyid on hand, we can add the SIOCGMIIPHY ioctl too.  

Most of the MII code for the driver could probably be converted to use the generic MII library but I don't have a device to test the results.

Upstream commit:
http://git.kernel.org/linus/1bb57e940e1958e40d51f2078f50c3a96a9b2d75

Acknowledgements:

Red Hat would like to thank Stephan Mueller for reporting this issue.

Comment 3 Eugene Teo (Security Response) 2012-05-04 05:45:48 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 818828]

Comment 4 Fedora Update System 2012-05-08 04:14:35 UTC
kernel-3.3.4-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2012-05-13 01:50:40 UTC
kernel-3.3.5-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2012-05-15 23:23:55 UTC
kernel-2.6.43.5-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Petr Matousek 2012-05-16 07:25:58 UTC
This has been assigned CVE-2012-2313 [1].

  [1] http://www.openwall.com/lists/oss-security/2012/05/04/8

Comment 9 errata-xmlrpc 2012-08-21 20:44:44 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1174 https://rhn.redhat.com/errata/RHSA-2012-1174.html

Comment 10 errata-xmlrpc 2012-09-25 18:59:40 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1304 https://rhn.redhat.com/errata/RHSA-2012-1304.html

Comment 12 errata-xmlrpc 2012-11-20 22:21:47 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.6 EUS - Server Only

Via RHSA-2012:1481 https://rhn.redhat.com/errata/RHSA-2012-1481.html

Comment 14 errata-xmlrpc 2012-12-04 20:33:31 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.2 EUS - Server Only

Via RHSA-2012:1541 https://rhn.redhat.com/errata/RHSA-2012-1541.html

Comment 15 errata-xmlrpc 2012-12-18 22:22:32 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.1 EUS - Server Only

Via RHSA-2012:1589 https://rhn.redhat.com/errata/RHSA-2012-1589.html

Comment 16 Petr Matousek 2014-09-11 11:26:37 UTC
This issue has been addressed in following products:

  Red Hat Enterprise MRG 2

Via RHSA-2012:1282 https://rhn.redhat.com/errata/RHSA-2012-1282.html


Note You need to log in before you can comment on or make changes to this bug.